VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 4
声望: 0

从github上下载到vn.py项目源码,用-r requiremens和下面单独安装pyqt5的5.14.1版本都会报这个错,请问有谁遇到过这个错误不?
(.venv) PS D:\home3\vnpy> pip install pyqt5==5.14.1 --no-cache-dir
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Collecting pyqt5==5.14.1
Downloading https://pypi.tuna.tsinghua.edu.cn/packages/3a/fb/eb51731f2dc7c22d8e1a63ba88fb702727b324c6352183a32f27f73b8116/PyQt5-5.14.1.tar.gz (3.2 MB)
---------------------------------------- 3.2/3.2 MB 3.4 MB/s eta 0:00:00
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing metadata (pyproject.toml) ... error
error: subprocess-exited-with-error

× Preparing metadata (pyproject.toml) did not run successfully.
│ exit code: 1
╰─> [29 lines of output]
Traceback (most recent call last):
File "D:\home3\vnpy.venv\lib\site-packages\pip_vendor\pep517\in_process_in_process.py", line 156, in prepare_metadata_for_build_wheel
hook = backend.prepare_metadata_for_build_wheel
AttributeError: module 'sipbuild.api' has no attribute 'prepare_metadata_for_build_wheel'

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "D:\home3\vnpy\.venv\lib\site-packages\pip\_vendor\pep517\in_process\_in_process.py", line 363, in <module>
      main()
    File "D:\home3\vnpy\.venv\lib\site-packages\pip\_vendor\pep517\in_process\_in_process.py", line 345, in main
      json_out['return_val'] = hook(**hook_input['kwargs'])
    File "D:\home3\vnpy\.venv\lib\site-packages\pip\_vendor\pep517\in_process\_in_process.py", line 160, in prepare_metadata_for_build_wheel
      whl_basename = backend.build_wheel(metadata_directory, config_settings)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\sipbuild\api.py", line 51, in build_wheel
      project = AbstractProject.bootstrap('pep517')
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\sipbuild\abstract_project.py", line 83, in bootstrap
      project.setup(pyproject, tool, tool_description)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\sipbuild\project.py", line 479, in setup
      self.apply_user_defaults(tool)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-install-ohrssfpo\pyqt5_541cc73d1c5845cc902da6800a0c34fa\project.py", line 62, in apply_user_defaults
      super().apply_user_defaults(tool)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\pyqtbuild\project.py", line 70, in apply_user_defaults
      super().apply_user_defaults(tool)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\sipbuild\project.py", line 225, in apply_user_defaults
      self.builder.apply_user_defaults(tool)
    File "C:\Users\xuewd\AppData\Local\Temp\pip-build-env-dcq6njf4\overlay\Lib\site-packages\pyqtbuild\builder.py", line 66, in apply_user_defaults
      raise PyProjectOptionException('qmake',
  sipbuild.pyproject.PyProjectOptionException
  [end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

Member
avatar
加入于:
帖子: 311
声望: 17

你的虚拟环境少了某个包...不行就用Veighna Studio吧,方便很多

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】